Bootstrap error handling and auto cleanup #6

Open
kez wants to merge 3 commits from bootstrap into main
Owner
  • added auto cleanup of bootstrap script
  • minor error handling
  • minor speed improvement when adding submodule

The following text will be used for another PR
Me and others keep messing up repo initialization, let's take steps to fix that.

I wonder if we want to add a step for changing the SOURCE_VALUE and RIGHTS_OWNER_VALUE in scripts/check_config.sh.

This could be a simple message for the user or something more elaborate like auto-filling the values if we are able to do so from the remote urls.

- added auto cleanup of bootstrap script - minor error handling - minor speed improvement when adding submodule The following text will be used for another PR ~~Me and others keep messing up repo initialization, let's take steps to fix that.~~ ~~I wonder if we want to add a step for changing the `SOURCE_VALUE` and `RIGHTS_OWNER_VALUE` in `scripts/check_config.sh`.~~ ~~This could be a simple message for the user or something more elaborate like auto-filling the values if we are able to do so from the remote urls.~~
Automatically clean up bootstrap script if successful
Some checks failed
CI / Shell Scripts (pull_request) Failing after 32s
CI / Python (pull_request) Failing after 55s
CI / Code Quality (pull_request) Failing after 0s
CI / Get changed problems (pull_request) Successful in 1m11s
CI / Get Problem Changes (pull_request) Successful in 0s
CI / Run verifyproblem on (pull_request) Has been skipped
CI / Spellcheck British English (en_GB) (pull_request) Successful in 32s
CI / Spellcheck Icelandic (is_IS) (pull_request) Successful in 32s
CI / Spellcheck for (pull_request) Successful in 0s
CI / Verify Problem () (pull_request) Successful in 0s
c62bfe9bab
kez changed title from WIP: bootstrap to Bootstrap error handling and auto cleanup 2026-09-17 22:42:56 +00:00
@ -2,0 +2,4 @@
testdata_tools_repo="https://git.tagl.is/tagl/testdata_tools"
if ! git submodule add --depth=1 ${testdata_tools_repo} testdata_tools; then
Author
Owner

set -euo pipefail instead, git will probably give a better message than this?

`set -euo pipefail` instead, git will probably give a better message than this?
Owner

Probably it will

Probably it will
Some checks failed
CI / Shell Scripts (pull_request) Failing after 32s
CI / Python (pull_request) Failing after 55s
CI / Code Quality (pull_request) Failing after 0s
CI / Get changed problems (pull_request) Successful in 1m11s
CI / Get Problem Changes (pull_request) Successful in 0s
CI / Run verifyproblem on (pull_request) Has been skipped
CI / Spellcheck British English (en_GB) (pull_request) Successful in 32s
CI / Spellcheck Icelandic (is_IS) (pull_request) Successful in 32s
CI / Spellcheck for (pull_request) Successful in 0s
CI / Verify Problem () (pull_request) Successful in 0s
This pull request can be merged automatically.
This branch is out-of-date with the base branch
You are not authorized to merge this pull request.
View command line instructions

Checkout

From your project repository, check out a new branch and test the changes.
git fetch -u origin bootstrap:bootstrap
git switch bootstrap

Merge

Merge the changes and update on Forgejo.

Warning: The "Autodetect manual merge" setting is not enabled for this repository, you will have to mark this pull request as manually merged afterwards.

git switch main
git merge --no-ff bootstrap
git switch bootstrap
git rebase main
git switch main
git merge --ff-only bootstrap
git switch bootstrap
git rebase main
git switch main
git merge --no-ff bootstrap
git switch main
git merge --squash bootstrap
git switch main
git merge --ff-only bootstrap
git switch main
git merge bootstrap
git push origin main
Sign in to join this conversation.
No reviewers
No labels
No milestone
No project
No assignees
2 participants
Notifications
Due date
The due date is invalid or out of range. Please use the format "yyyy-mm-dd".

No due date set.

Dependencies

No dependencies set

Reference
KFFI/contest_template!6
No description provided.